These APIs support production operation around notifications, trigger sources, backups, snapshots, pipelines, migration jobs, functions, and memory records.
Route Map
Mermaid diagram
Rendering diagram...
Notifications
Method
Route
Purpose
GET
/api/v1/notifications
List user notifications.
POST
/api/v1/notifications/read-all
Mark all user notifications read.
POST
/api/v1/notifications/{notification_id}/read
Mark one notification read.
Trigger Sources
Method
Route
Purpose
POST
/api/v1/triggers
Create a trigger source.
GET
/api/v1/triggers
List trigger sources.
POST
/api/v1/triggers/{source_id}/rules
Create a trigger rule.
GET
/api/v1/triggers/{source_id}/rules
List trigger rules.
DELETE
/api/v1/triggers/{source_id}/rules/{rule_id}
Delete a trigger rule.
POST
/api/v1/triggers/{source_id}/ingest
Ingest a trigger event.
Backups
Method
Route
Purpose
GET
/api/v1/backups
List backups.
POST
/api/v1/backups
Create a backup.
GET
/api/v1/backups/{timestamp}/download
Download a backup.
DELETE
/api/v1/backups/{timestamp}
Delete a backup.
Snapshots
Method
Route
Purpose
GET
/api/v1/snapshots
List snapshots.
POST
/api/v1/snapshots
Create a snapshot.
GET
/api/v1/snapshots/{snapshot}
Get a snapshot.
DELETE
/api/v1/snapshots/{snapshot}
Delete a snapshot.
GET
/api/v1/snapshots/{snapshot}/status
Get snapshot status.
POST
/api/v1/snapshots/{snapshot}/run
Run a snapshot.
POST
/api/v1/snapshots/{snapshot}/pause
Pause a snapshot.
Pipelines
Method
Route
Purpose
GET
/api/v1/pipelines
List pipelines.
POST
/api/v1/pipelines
Create a pipeline.
GET
/api/v1/pipelines/{pipeline}
Get a pipeline.
DELETE
/api/v1/pipelines/{pipeline}
Delete a pipeline.
GET
/api/v1/pipelines/{pipeline}/status
Get pipeline status.
POST
/api/v1/pipelines/{pipeline}/run
Run a pipeline.
POST
/api/v1/pipelines/{pipeline}/pause
Pause a pipeline.
Migration Jobs
Method
Route
Purpose
GET
/api/v1/migration_jobs
List migration jobs.
POST
/api/v1/migration_jobs/verify
Verify a migration job.
GET
/api/v1/migration_jobs/{job_uuid}
Get a migration job.
Functions
Method
Route
Purpose
POST
/api/v1/functions
Create a function endpoint.
POST
/api/v1/functions/{endpoint}/invoke
Invoke a function endpoint.
Memories
Memory APIs are mounted when Adam runtime memory storage is configured.